LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
interlck.h File Reference
`#include "sal/config.h"`
`#include "sal/saldllapi.h"`
`#include "sal/types.h"`

Go to the source code of this file.

## Typedefs
typedef sal_Int32 | oslInterlockedCount

## Functions
SAL_DLLPUBLIC oslInterlockedCount | osl_incrementInterlockedCount (oslInterlockedCount *pCount)
| Increments the count variable addressed by pCount.
SAL_DLLPUBLIC oslInterlockedCount | osl_decrementInterlockedCount (oslInterlockedCount *pCount)
| Decrement the count variable addressed by pCount.

## Typedef Documentation

## ◆ oslInterlockedCount

typedef sal_Int32 oslInterlockedCount

## Function Documentation

## ◆ osl_decrementInterlockedCount()

SAL_DLLPUBLIC oslInterlockedCount osl_decrementInterlockedCount | ( | oslInterlockedCount * | pCount | ) |

Decrement the count variable addressed by pCount.

Parameters

  pCount | Address of count variable

Returns
  The adjusted value of the count variable.

## ◆ osl_incrementInterlockedCount()

SAL_DLLPUBLIC oslInterlockedCount osl_incrementInterlockedCount | ( | oslInterlockedCount * | pCount | ) |

Increments the count variable addressed by pCount.

Parameters

  pCount | Address of count variable

Returns
  The adjusted value of the count variable.